nss-3.36.0-7.1.el7_6.x86_64.rpm


Advertisement

Description

nss - Network Security Services

Property Value
Distribution CentOS 7
Repository CentOS Updates x86_64
Package filename nss-3.36.0-7.1.el7_6.x86_64.rpm
Package name nss
Package version 3.36.0
Package release 7.1.el7_6
Package architecture x86_64
Package type rpm
Category System Environment/Libraries
Homepage http://www.mozilla.org/projects/security/pki/nss/
License MPLv2.0
Maintainer -
Download size 835.21 KB
Installed size 2.31 MB
Network Security Services (NSS) is a set of libraries designed to
support cross-platform development of security-enabled client and
server applications. Applications built with NSS can support SSL v2
and v3, TLS, PKCS #5, PKCS #7, PKCS #11, PKCS #12, S/MIME, X.509
v3 certificates, and other security standards.

Alternatives

Package Version Architecture Repository
nss-3.36.0-7.1.el7_6.i686.rpm 3.36.0 i686 CentOS Updates
nss-3.36.0-7.el7_5.i686.rpm 3.36.0 i686 CentOS
nss-3.36.0-7.el7_5.x86_64.rpm 3.36.0 x86_64 CentOS
nss - - -

Requires

Name Value
/usr/sbin/update-alternatives -
libc.so.6(GLIBC_2.14)(64bit) -
libdl.so.2()(64bit) -
libnspr4.so()(64bit) -
libnssutil3.so()(64bit) -
libnssutil3.so(NSSUTIL_3.12)(64bit) -
libnssutil3.so(NSSUTIL_3.12.3)(64bit) -
libnssutil3.so(NSSUTIL_3.12.5)(64bit) -
libnssutil3.so(NSSUTIL_3.13)(64bit) -
libnssutil3.so(NSSUTIL_3.14)(64bit) -
libnssutil3.so(NSSUTIL_3.15)(64bit) -
libnssutil3.so(NSSUTIL_3.17.1)(64bit) -
libnssutil3.so(NSSUTIL_3.21)(64bit) -
libnssutil3.so(NSSUTIL_3.24)(64bit) -
libnssutil3.so(NSSUTIL_3.31)(64bit) -
libplc4.so()(64bit) -
libplds4.so()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
nspr >= 4.19.0
nss-pem(x86-64) -
nss-softokn(x86-64) >= 3.36.0-1
nss-system-init -
nss-util >= 3.36.0-1.1
rtld(GNU_HASH) -

Provides

Name Value
config(nss) = 3.36.0-7.1.el7_6
libnss3.so()(64bit) -
libnss3.so(NSS_3.10)(64bit) -
libnss3.so(NSS_3.10.2)(64bit) -
libnss3.so(NSS_3.11)(64bit) -
libnss3.so(NSS_3.11.1)(64bit) -
libnss3.so(NSS_3.11.2)(64bit) -
libnss3.so(NSS_3.11.7)(64bit) -
libnss3.so(NSS_3.11.9)(64bit) -
libnss3.so(NSS_3.12)(64bit) -
libnss3.so(NSS_3.12.1)(64bit) -
libnss3.so(NSS_3.12.10)(64bit) -
libnss3.so(NSS_3.12.3)(64bit) -
libnss3.so(NSS_3.12.4)(64bit) -
libnss3.so(NSS_3.12.5)(64bit) -
libnss3.so(NSS_3.12.6)(64bit) -
libnss3.so(NSS_3.12.7)(64bit) -
libnss3.so(NSS_3.12.9)(64bit) -
libnss3.so(NSS_3.13)(64bit) -
libnss3.so(NSS_3.13.2)(64bit) -
libnss3.so(NSS_3.14)(64bit) -
libnss3.so(NSS_3.14.1)(64bit) -
libnss3.so(NSS_3.14.3)(64bit) -
libnss3.so(NSS_3.15)(64bit) -
libnss3.so(NSS_3.15.4)(64bit) -
libnss3.so(NSS_3.16.1)(64bit) -
libnss3.so(NSS_3.16.2)(64bit) -
libnss3.so(NSS_3.18)(64bit) -
libnss3.so(NSS_3.19)(64bit) -
libnss3.so(NSS_3.19.1)(64bit) -
libnss3.so(NSS_3.2)(64bit) -
libnss3.so(NSS_3.2.1)(64bit) -
libnss3.so(NSS_3.21)(64bit) -
libnss3.so(NSS_3.22)(64bit) -
libnss3.so(NSS_3.3)(64bit) -
libnss3.so(NSS_3.3.1)(64bit) -
libnss3.so(NSS_3.30)(64bit) -
libnss3.so(NSS_3.31)(64bit) -
libnss3.so(NSS_3.33)(64bit) -
libnss3.so(NSS_3.34)(64bit) -
libnss3.so(NSS_3.4)(64bit) -
libnss3.so(NSS_3.5)(64bit) -
libnss3.so(NSS_3.6)(64bit) -
libnss3.so(NSS_3.7)(64bit) -
libnss3.so(NSS_3.7.1)(64bit) -
libnss3.so(NSS_3.8)(64bit) -
libnss3.so(NSS_3.9)(64bit) -
libnss3.so(NSS_3.9.2)(64bit) -
libnss3.so(NSS_3.9.3)(64bit) -
libnssckbi.so()(64bit) -
libnssckbi.so(NSS_3.1)(64bit) -
libsmime3.so()(64bit) -
libsmime3.so(NSS_3.10)(64bit) -
libsmime3.so(NSS_3.12.10)(64bit) -
libsmime3.so(NSS_3.12.2)(64bit) -
libsmime3.so(NSS_3.13)(64bit) -
libsmime3.so(NSS_3.15)(64bit) -
libsmime3.so(NSS_3.16)(64bit) -
libsmime3.so(NSS_3.18)(64bit) -
libsmime3.so(NSS_3.2)(64bit) -
libsmime3.so(NSS_3.2.1)(64bit) -
libsmime3.so(NSS_3.3)(64bit) -
libsmime3.so(NSS_3.4)(64bit) -
libsmime3.so(NSS_3.4.1)(64bit) -
libsmime3.so(NSS_3.6)(64bit) -
libsmime3.so(NSS_3.7)(64bit) -
libsmime3.so(NSS_3.7.2)(64bit) -
libsmime3.so(NSS_3.8)(64bit) -
libsmime3.so(NSS_3.9)(64bit) -
libsmime3.so(NSS_3.9.3)(64bit) -
libssl3.so()(64bit) -
libssl3.so(NSS_3.11.4)(64bit) -
libssl3.so(NSS_3.11.8)(64bit) -
libssl3.so(NSS_3.12.10)(64bit) -
libssl3.so(NSS_3.12.6)(64bit) -
libssl3.so(NSS_3.13)(64bit) -
libssl3.so(NSS_3.13.2)(64bit) -
libssl3.so(NSS_3.14)(64bit) -
libssl3.so(NSS_3.15)(64bit) -
libssl3.so(NSS_3.15.4)(64bit) -
libssl3.so(NSS_3.2)(64bit) -
libssl3.so(NSS_3.2.1)(64bit) -
libssl3.so(NSS_3.20)(64bit) -
libssl3.so(NSS_3.21)(64bit) -
libssl3.so(NSS_3.22)(64bit) -
libssl3.so(NSS_3.23)(64bit) -
libssl3.so(NSS_3.24)(64bit) -
libssl3.so(NSS_3.27)(64bit) -
libssl3.so(NSS_3.28)(64bit) -
libssl3.so(NSS_3.30)(64bit) -
libssl3.so(NSS_3.30.0.1)(64bit) -
libssl3.so(NSS_3.33)(64bit) -
libssl3.so(NSS_3.4)(64bit) -
libssl3.so(NSS_3.7.4)(64bit) -
nss = 3.36.0-7.1.el7_6
nss(x86-64) = 3.36.0-7.1.el7_6

Download

Type URL
Mirror mirror.centos.org
Binary Package nss-3.36.0-7.1.el7_6.x86_64.rpm
Source Package nss-3.36.0-7.1.el7_6.src.rpm

Install Howto

Install nss rpm package:

# yum install nss

Files

Path
/etc/pki/nss-legacy/nss-rhel7.config
/etc/pki/nssdb/cert8.db
/etc/pki/nssdb/cert9.db
/etc/pki/nssdb/key3.db
/etc/pki/nssdb/key4.db
/etc/pki/nssdb/pkcs11.txt
/etc/pki/nssdb/secmod.db
/usr/lib64/libnss3.so
/usr/lib64/libnssckbi.so
/usr/lib64/libsmime3.so
/usr/lib64/libssl3.so
/usr/lib64/nss/libnssckbi.so
/usr/share/man/man5/cert8.db.5.gz
/usr/share/man/man5/cert9.db.5.gz
/usr/share/man/man5/key3.db.5.gz
/usr/share/man/man5/key4.db.5.gz
/usr/share/man/man5/pkcs11.txt.5.gz
/usr/share/man/man5/secmod.db.5.gz

Changelog

2018-11-12 - Bob Relyea <rrelyea@redhat.com> - 3.36.0-7.1
- Update the cert verify code to allow a new ipsec usage and follow RFC 4945
2018-08-29 - Daiki Ueno <dueno@redhat.com> - 3.36.0-7
- Backport upstream fix for CVE-2018-12384
- Remove nss-lockcert-api-change.patch, which turned out to be a
mistake (the symbol was not exported from libnss)
2018-04-19 - Daiki Ueno <dueno@redhat.com> - 3.36.0-6
- Exercise SSL tests which only run under non-FIPS setting
2018-04-18 - Daiki Ueno <dueno@redhat.com> - 3.36.0-5
- Restore CERT_LockCertTrust and CERT_UnlockCertTrust back in cert.h
2018-04-13 - Daiki Ueno <dueno@redhat.com> - 3.36.0-4
- Work around modutil -changepw error if the old and new passwords are
both empty in FIPS mode
2018-03-27 - Daiki Ueno <dueno@redhat.com> - 3.36.0-3
- Decrease the iteration count of PKCS#12 for compatibility with Windows
- Fix deadlock when a token is re-inserted while a client process is running
2018-03-12 - Daiki Ueno <dueno@redhat.com> - 3.36.0-2
- Set NSS_FORCE_FIPS=1 in %build
- Revert the changes to tests assuming the default DB type
2018-03-09 - Daiki Ueno <dueno@redhat.com> - 3.36.0-1
- Rebase to NSS 3.36
2018-01-15 - Daiki Ueno <dueno@redhat.com> - 3.34.0-4
- Re-enable nss-is-token-present-race.patch
2018-01-05 - Daiki Ueno <dueno@redhat.com> - 3.34.0-3
- Temporarily disable nss-is-token-present-race.patch

See Also

Package Description
nss-devel-3.36.0-7.1.el7_6.i686.rpm Development libraries for Network Security Services
nss-devel-3.36.0-7.1.el7_6.x86_64.rpm Development libraries for Network Security Services
nss-pem-1.0.3-5.el7_6.1.i686.rpm PEM file reader for Network Security Services (NSS)
nss-pem-1.0.3-5.el7_6.1.x86_64.rpm PEM file reader for Network Security Services (NSS)
nss-pkcs11-devel-3.36.0-7.1.el7_6.i686.rpm Development libraries for PKCS #11 (Cryptoki) using NSS
nss-pkcs11-devel-3.36.0-7.1.el7_6.x86_64.rpm Development libraries for PKCS #11 (Cryptoki) using NSS
nss-sysinit-3.36.0-7.1.el7_6.x86_64.rpm System NSS Initialization
nss-tools-3.36.0-7.1.el7_6.x86_64.rpm Tools for the Network Security Services
nss-util-3.36.0-1.1.el7_6.i686.rpm Network Security Services Utilities Library
nss-util-3.36.0-1.1.el7_6.x86_64.rpm Network Security Services Utilities Library
nss-util-devel-3.36.0-1.1.el7_6.i686.rpm Development libraries for Network Security Services Utilities
nss-util-devel-3.36.0-1.1.el7_6.x86_64.rpm Development libraries for Network Security Services Utilities
nvme-cli-1.6-4.el7_6.x86_64.rpm NVMe management command line interface
ocaml-libguestfs-1.38.2-12.el7_6.1.x86_64.rpm OCaml bindings for libguestfs
ocaml-libguestfs-1.38.2-12.el7_6.2.x86_64.rpm OCaml bindings for libguestfs
Advertisement
Advertisement